Main Page Groups Namespaces

# sigc::internal::signal_emit0< void, nil > Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types

typedef signal_emit0< void, nil > | self_type
typedef void | result_type
typedef slot<void> | slot_type
typedef signal_impl::const_iterator_type | iterator_type
typedef void(*) | call_type (slot_rep*)

## Static Public Member Functions

static result_type | emit (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator.
static result_type | emit_reverse (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator in reverse order.

## Detailed Description

### template<>
struct sigc::internal::signal_emit0< void, nil >

Abstracts signal emission.

This template specialization implements an optimized emit() function for the case that no accumulator is used and the return type is `void`.

## Member Typedef Documentation

typedef signal_emit0<void, nil> sigc::internal::signal_emit0<void, nil>::self_type

typedef void sigc::internal::signal_emit0<void, nil>::result_type

typedef slot<void> sigc::internal::signal_emit0<void, nil>::slot_type

typedef signal_impl::const_iterator_type sigc::internal::signal_emit0<void, nil>::iterator_type

typedef void(*) sigc::internal::signal_emit0<void, nil>::call_type(slot_rep*)

## Member Function Documentation

static result_type sigc::internal::signal_emit0<void, nil>::emit | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.

static result_type sigc::internal::signal_emit0<void, nil>::emit_reverse | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator in reverse order.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.

The documentation for this struct was generated from the following file:

- signal.h